Prevent confusion generated by the top Help link

2013-02-23 18:24 - Etienne Massip
Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

People often post here probably thinking they're posting in their local Redmine instance; if theirs also use the default blue theme the

confusion is indeed easy and understandable.

This might have unknown privacy consequences if they post some private information crawled by a search engine (say e.g.

Gloogloo).

Help is also the only link in the top of the Redmine page to be an external link but is still displayed as others Home, Administration,

etc., thus adding to the confusion.

So what would you think to simply add the already used external icon before the Help link to prevent this confusion starting from the

next release?

Opening the page in a different window would be great too.

Any other ideas?

Related issues:

Related to Redmine - Feature #1151: Open Links in New-Window New 2008-05-01

Related to Redmine - Feature #1069: Open Help in a separate tab Closed

History

#1 - 2013-02-23 18:25 - Etienne Massip

- Description updated

Damn typo.

#2 - 2013-02-23 20:41 - Filou Centrinov

Good Idea. With the external icon in the menu I'm not sure if I will agree. Opening external links is a good keyword: #3801#note-13, #1151

#3 - 2013-02-24 11:23 - Jan Niggemann (redmine.org team member)

I'd say both, the external icon and opening in a new window should be used.

#4 - 2013-02-24 11:48 - Jean-Philippe Lang

If privacy is a concern, we could improve the warning on top of the new issue page on redmine.org (eg. make it clear that it's the Redmine issue

tracker and that submitted data will be made publicly available on the internet).

#5 - 2013-02-24 22:55 - Etienne Massip

Jean-Philippe Lang wrote:

If privacy is a concern, we could improve the warning on top of the new issue page on redmine.org (eg. make it clear that it's the Redmine issue

tracker and that submitted data will be made publicly available on the internet).

 Sure this would be great and if the letters "ON THE INTERNET" are bold it would reduce the confusion when posting an issue but still don't you think

that marking the link differently to make sure they actually immediately understand they left their local site would be useful?

I know this mean some dev that should then be reverted specifically on redmine.org but it should be worth it?
https://www.redmine.org/issues/3801#note-13
https://www.redmine.org/issues/1151


OTOH nobody never ask for this which is surprising so maybe the case is not as "bad" as I might think :|

#6 - 2014-07-23 00:30 - John Gordon

I have had a quite a few users confused at ending up on Redmine.org and not being able to log in.

Suggest the default install could ensure that the top banner is not the Redmine blue.

Add the CSS plugin and change the top colour on your install to something else than Redmine blue.

This would be solved by adding the CSS plugin as part of core so this can be easily changed by the local admin.

This should not waste code time fixing....just add some great new functions that will avoid it happening.

#7 - 2014-08-11 02:28 - Go MAEDA

It is possible to reduce the confusion by simply open in a new window.

This issue is related to #1069.

#8 - 2014-08-19 06:06 - Toshi MARUYAMA

- Related to Feature #1069: Open Help in a separate tab added

#9 - 2014-09-04 16:08 - Anonymous

- File _715248686_325.jpg added

#10 - 2014-09-04 16:14 - Etienne Massip

- File deleted (_715248686_325.jpg)

#11 - 2014-09-05 08:04 - Anonymous

- File _715248686_325.jpg added

#12 - 2014-09-05 08:48 - Etienne Massip

- File deleted (_715248686_325.jpg)

#13 - 2022-07-22 03:36 - Go MAEDA

- Status changed from New to Closed

- Target version deleted (Candidate for next major release)

- Resolution set to Duplicate

Implemented by #1151.
